Bug 175970 - x11/libxklavier missing dependency
Summary: x11/libxklavier missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-08 21:10 UTC by Pawel Pekala
Modified: 2013-03-20 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (622 bytes, patch)
2013-02-08 21:10 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-02-08 21:10:00 UTC
Package don't register linking to libXi on my system:

[corn:~]> ldd /usr/local/lib/libxklavier.so.12 | grep Xi
        libXi.so.6 => /usr/local/lib/libXi.so.6 (0x802943000)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-08 21:10:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-20 02:01:19 UTC
Author: mezz
Date: Wed Mar 20 02:01:11 2013
New Revision: 314704
URL: http://svnweb.freebsd.org/changeset/ports/314704

Log:
  -Add a missing dependency, xi. Bump the PORTREVISION.
  -gnomehack -> USES=pathfix
  
  PR:		ports/175970
  Submitted by:	pawel

Modified:
  head/x11/libxklavier/Makefile   (contents, props changed)

Modified: head/x11/libxklavier/Makefile
==============================================================================
--- head/x11/libxklavier/Makefile	Wed Mar 20 01:56:04 2013	(r314703)
+++ head/x11/libxklavier/Makefile	Wed Mar 20 02:01:11 2013	(r314704)
@@ -1,13 +1,10 @@
-# New ports collection makefile for:	libxklavier
-# Date created:				31 May 2002
-# Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
-#
+# Created by: Maxim Sobolev <sobomax@FreeBSD.org>
 # $FreeBSD$
 #   $MCom: ports/x11/libxklavier/Makefile,v 1.53 2010/01/12 02:18:34 avl Exp $
-#
 
 PORTNAME=	libxklavier
 PORTVERSION=	5.0
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	x11 gnome
 MASTER_SITES=	GNOME
@@ -19,10 +16,11 @@ BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgc
 RUN_DEPENDS=	xkbcomp:${PORTSDIR}/x11/xkbcomp \
     		${LOCALBASE}/libdata/pkgconfig/iso-codes.pc:${PORTSDIR}/misc/iso-codes
 
-USE_XORG=	x11 xkbfile
+USES=		pathfix
+USE_XORG=	x11 xi xkbfile
 USE_BZIP2=	yes
 USE_GMAKE=	yes
-USE_GNOME=	gnomehack libxml2 glib20 ltverhack:12
+USE_GNOME=	libxml2 glib20 ltverhack:12
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool
 CPPFLAGS+=	-I${LOCALBASE}/include
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jeremy Messenger freebsd_committer 2013-03-20 02:01:28 UTC
State Changed
From-To: open->closed

Committed, thanks!